-- 基础信息
base_info = {
	group_id = 133211018
}

-- Trigger变量
defs = {
	gadget_prison = 18001,
	duration = 210,
	rampage_time = 40,
	eye_point = 18079
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 18084, 18085, 18086, 18087, 18088, 18089}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}
--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {27,28}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[18001] = { config_id = 18001, gadget_id = 70800087, pos = { x = -3523.286, y = 203.268, z = -1135.776 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, level = 10, area_id = 17 },
	[18002] = { config_id = 18002, gadget_id = 70800427, pos = { x = -3581.322, y = 204.501, z = -1166.230 }, rot = { x = 0.000, y = 40.995, z = 0.000 }, level = 10, area_id = 17 },
	[18003] = { config_id = 18003, gadget_id = 70800427, pos = { x = -3562.761, y = 207.602, z = -1177.623 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 17 },
	[18004] = { config_id = 18004, gadget_id = 70800427, pos = { x = -3571.090, y = 204.501, z = -1169.396 }, rot = { x = 0.000, y = 46.286, z = 0.000 }, level = 10, area_id = 17 },
	-- 封堵地下遗迹用
	[18005] = { config_id = 18005, gadget_id = 70290281, pos = { x = -3536.060, y = 196.467, z = -1173.808 }, rot = { x = 90.000, y = 132.000, z = 0.000 }, level = 1, area_id = 17 },
	[18006] = { config_id = 18006, gadget_id = 70800427, pos = { x = -3548.342, y = 197.987, z = -1157.184 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 17 },
	[18007] = { config_id = 18007, gadget_id = 70800427, pos = { x = -3571.002, y = 197.987, z = -1165.111 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 17 },
	[18008] = { config_id = 18008, gadget_id = 70800427, pos = { x = -3553.799, y = 199.820, z = -1146.440 }, rot = { x = 0.000, y = 132.596, z = 0.000 }, level = 10, area_id = 17 },
	[18009] = { config_id = 18009, gadget_id = 70800427, pos = { x = -3565.583, y = 198.002, z = -1168.478 }, rot = { x = 0.000, y = 117.141, z = 0.000 }, level = 10, area_id = 17 },
	[18010] = { config_id = 18010, gadget_id = 70800427, pos = { x = -3589.698, y = 203.746, z = -1150.165 }, rot = { x = 0.000, y = 130.638, z = 0.000 }, level = 10, area_id = 17 },
	[18011] = { config_id = 18011, gadget_id = 70800427, pos = { x = -3550.725, y = 207.602, z = -1182.111 }, rot = { x = 0.000, y = 314.748, z = 0.000 }, level = 10, area_id = 17 },
	[18012] = { config_id = 18012, gadget_id = 70800427, pos = { x = -3543.238, y = 197.776, z = -1175.044 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[18013] = { config_id = 18013, gadget_id = 70800427, pos = { x = -3536.032, y = 197.777, z = -1163.722 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[18014] = { config_id = 18014, gadget_id = 70800427, pos = { x = -3531.378, y = 200.816, z = -1144.981 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18015] = { config_id = 18015, gadget_id = 70800427, pos = { x = -3559.780, y = 200.553, z = -1114.397 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18016] = { config_id = 18016, gadget_id = 70800427, pos = { x = -3572.518, y = 202.562, z = -1136.078 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18017] = { config_id = 18017, gadget_id = 70800427, pos = { x = -3572.146, y = 202.367, z = -1138.260 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 17 },
	[18018] = { config_id = 18018, gadget_id = 70800427, pos = { x = -3554.961, y = 197.987, z = -1161.258 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 17 },
	[18019] = { config_id = 18019, gadget_id = 70310066, pos = { x = -3551.978, y = 233.000, z = -1163.946 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 17 },
	[18020] = { config_id = 18020, gadget_id = 70800427, pos = { x = -3550.475, y = 198.557, z = -1140.957 }, rot = { x = 0.000, y = 307.252, z = 0.000 }, level = 10, area_id = 17 },
	-- 封堵地下遗迹用
	[18021] = { config_id = 18021, gadget_id = 70290281, pos = { x = -3541.950, y = 196.467, z = -1180.350 }, rot = { x = 90.000, y = 132.000, z = 0.000 }, level = 1, area_id = 17 },
	[18022] = { config_id = 18022, gadget_id = 70800427, pos = { x = -3538.305, y = 199.643, z = -1142.862 }, rot = { x = 0.000, y = 46.124, z = 0.000 }, level = 10, area_id = 17 },
	[18023] = { config_id = 18023, gadget_id = 70800427, pos = { x = -3558.833, y = 198.793, z = -1174.927 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18025] = { config_id = 18025, gadget_id = 70800427, pos = { x = -3591.684, y = 202.672, z = -1168.223 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18026] = { config_id = 18026, gadget_id = 70800427, pos = { x = -3581.358, y = 204.172, z = -1141.338 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 17 },
	[18027] = { config_id = 18027, gadget_id = 70800427, pos = { x = -3550.863, y = 199.804, z = -1129.203 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 17 },
	[18028] = { config_id = 18028, gadget_id = 70800428, pos = { x = -3593.089, y = 202.854, z = -1162.572 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18029] = { config_id = 18029, gadget_id = 70800428, pos = { x = -3590.340, y = 202.284, z = -1169.985 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 17 },
	[18030] = { config_id = 18030, gadget_id = 70800428, pos = { x = -3513.865, y = 200.155, z = -1168.192 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18031] = { config_id = 18031, gadget_id = 70800428, pos = { x = -3563.260, y = 200.044, z = -1128.385 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18032] = { config_id = 18032, gadget_id = 70800428, pos = { x = -3567.326, y = 198.807, z = -1140.148 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18033] = { config_id = 18033, gadget_id = 70800428, pos = { x = -3514.145, y = 200.532, z = -1179.154 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 17 },
	[18035] = { config_id = 18035, gadget_id = 70800428, pos = { x = -3574.432, y = 203.233, z = -1121.118 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 17 },
	[18036] = { config_id = 18036, gadget_id = 70800428, pos = { x = -3554.171, y = 200.334, z = -1112.375 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18037] = { config_id = 18037, gadget_id = 70800428, pos = { x = -3535.611, y = 200.391, z = -1116.284 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18038] = { config_id = 18038, gadget_id = 70800428, pos = { x = -3543.802, y = 200.121, z = -1115.742 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18039] = { config_id = 18039, gadget_id = 70800428, pos = { x = -3514.032, y = 200.790, z = -1146.280 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18040] = { config_id = 18040, gadget_id = 70800428, pos = { x = -3541.370, y = 203.469, z = -1197.470 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18041] = { config_id = 18041, gadget_id = 70800428, pos = { x = -3548.858, y = 202.923, z = -1207.688 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18043] = { config_id = 18043, gadget_id = 70800428, pos = { x = -3520.890, y = 200.217, z = -1199.158 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 17 },
	[18044] = { config_id = 18044, gadget_id = 70800428, pos = { x = -3565.117, y = 200.402, z = -1197.568 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 17 },
	[18046] = { config_id = 18046, gadget_id = 70800428, pos = { x = -3582.710, y = 200.981, z = -1175.747 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 17 },
	[18047] = { config_id = 18047, gadget_id = 70800428, pos = { x = -3574.788, y = 202.332, z = -1136.796 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 17 },
	[18048] = { config_id = 18048, gadget_id = 70800428, pos = { x = -3548.909, y = 202.657, z = -1190.876 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 17 },
	[18049] = { config_id = 18049, gadget_id = 70800428, pos = { x = -3526.925, y = 202.891, z = -1185.185 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 17 },
	[18050] = { config_id = 18050, gadget_id = 70800428, pos = { x = -3506.171, y = 200.257, z = -1184.248 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 17 },
	[18051] = { config_id = 18051, gadget_id = 70800428, pos = { x = -3558.986, y = 200.452, z = -1119.236 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 17 },
	[18052] = { config_id = 18052, gadget_id = 70800428, pos = { x = -3534.548, y = 200.414, z = -1201.731 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 17 },
	-- 场景猎人引导1
	[18057] = { config_id = 18057, gadget_id = 44000106, pos = { x = -3532.738, y = 201.644, z = -1135.691 }, rot = { x = 4.577, y = 249.682, z = 353.721 }, level = 10, area_id = 17 },
	-- 场景猎人引导2
	[18058] = { config_id = 18058, gadget_id = 44000106, pos = { x = -3534.136, y = 201.632, z = -1134.104 }, rot = { x = 5.671, y = 247.627, z = 355.243 }, level = 10, area_id = 17 },
	-- 场景猎人引导3
	[18059] = { config_id = 18059, gadget_id = 44000106, pos = { x = -3531.402, y = 201.577, z = -1137.595 }, rot = { x = 6.697, y = 253.507, z = 358.898 }, level = 10, area_id = 17 },
	[18066] = { config_id = 18066, gadget_id = 70800411, pos = { x = -3551.479, y = 216.763, z = -1160.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 17 }
}

-- 区域
regions = {
	[18078] = { config_id = 18078, shape = RegionShape.SPHERE, radius = 200, pos = { x = -3559.233, y = 218.848, z = -1184.698 }, area_id = 17 },
	[18079] = { config_id = 18079, shape = RegionShape.SPHERE, radius = 80, pos = { x = -3564.052, y = 212.641, z = -1158.704 }, area_id = 17 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 场景猎手出生点
	{ config_id = 18080, pos = { x = -3523.078, y = 200.893, z = -1135.179 }, rot = { x = 0.000, y = 231.193, z = 0.000 }, area_id = 17 },
	-- 场景游侠出生点1
	{ config_id = 18081, pos = { x = -3532.738, y = 201.644, z = -1135.691 }, rot = { x = 4.577, y = 249.682, z = 353.721 }, area_id = 17 },
	-- 场景游侠出生点2
	{ config_id = 18082, pos = { x = -3534.136, y = 201.632, z = -1134.104 }, rot = { x = 5.671, y = 247.628, z = 355.243 }, area_id = 17 },
	-- 场景游侠出生点3
	{ config_id = 18083, pos = { x = -3531.402, y = 201.577, z = -1137.595 }, rot = { x = 6.697, y = 253.507, z = 358.898 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 18084, pos = { x = -3554.396, y = 199.638, z = -1150.930 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 18085, pos = { x = -3531.508, y = 207.886, z = -1163.963 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 18086, pos = { x = -3527.561, y = 204.633, z = -1206.919 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 18087, pos = { x = -3585.824, y = 201.961, z = -1170.682 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 18088, pos = { x = -3558.752, y = 200.520, z = -1108.084 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 },
	-- 能量随机点1
	{ config_id = 18089, pos = { x = -3585.350, y = 203.752, z = -1130.651 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 17 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 18001 },
		regions = { 18078, 18079 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 18002, 18003, 18004, 18006, 18007, 18008, 18009, 18010, 18011, 18012, 18013, 18014, 18015, 18016, 18017, 18018, 18020, 18022, 18023, 18025, 18026, 18027, 18028, 18029, 18030, 18031, 18032, 18033, 18035, 18036, 18037, 18038, 18039, 18040, 18041, 18043, 18044, 18046, 18047, 18048, 18049, 18050, 18051, 18052 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 18005, 18019, 18021, 18066 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
